Subaccounts
Get Subaccounts
GET
header
AuthorizationBearer <token>Scope: subaccounts:read
limit?integerPage size (1-100).
Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from a previous pagination.next_cursor.
A page of subaccounts.
application/json- response
data*array<>pagination*Cursor pagination metadata.
curl -X GET 'https://api.betaramps.com/subaccounts'Example Response
{ "data": [ { "id": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "entity_type": "business", "name": "Acme Payments LLC", "email": "ops@acmepayments.example", "phone": "+15125550199", "country": "US", "city": "Austin", "state": "TX", "address": "100 Congress Ave", "postcode": "78701", "tax_id_number": "47-1234567", "tax_id_type": "ein", "is_active": true, "kyc_status": "pending", "kyc_daily_limit": "500", "kyc_weekly_limit": "500", "kyc_monthly_limit": "500", "created_at": "2026-10-30T12:00:00Z", "updated_at": "2026-10-30T12:00:00Z", "volume_usage": { "daily": { "used": "0", "limit": "500" }, "weekly": { "used": "0", "limit": "500" }, "monthly": { "used": "0", "limit": "500" }, "yearly": { "used": "0", "limit": null } }, "kyc_limits": { "daily": "500", "weekly": "500", "monthly": "500", "yearly": "500" } } ], "pagination": { "has_more": false, "next_cursor": null }}